MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001369OTB-applicationsGeneralpublic2017-03-14 16:132017-04-20 10:15
Reporterghassem.alaee 
Assigned ToLudovic 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindows 7OS Version64 bit
Summary0001369: otbgui_Segmentation.bat won't produce correct results
DescriptionI am using OTB 5.10 and 5.10.1 (both with and without contrib) and I am encountering a bug relating to output of otbgui_Segmentation.bat.
The output of this app should be a either a vector shapefile or a raster. In both of these situations, I get empty files no matter how I set the parameters and what kind of file I use( 5 bands or less or more).
The output shapefile only showing the borders of the input image. no segmentation is done technically.
Additional InformationI uploaded the result shapefile it produced.
TagsNo tags attached.
Attached Files7z file icon shapefile.7z [^] (595 bytes) 2017-03-14 16:13

- Relationships

-  Notes
(0004069)
Ludovic (developer)
2017-03-15 09:27

Hello,

Could you provide the command line you used to perform segmentation ?

Also, do you encounter this issue with all filter or only with meanshift (default one) ?
(0004070)
ghassem.alaee (reporter)
2017-03-15 13:13

Hello,

I use GUI apps but this is the command line which I tried and I also got the same results:
otbcli_Segmentation.bat -in C:/exercises/Input/5band.tif -mode.vector.out C:/Users/sam/Desktop/1.shp -mode.vector.layername layer -mode.vector.fieldname DN
Only meanshift is not working as it should. other algorithms are working fine.
I should also say that when I use the four step meanshift which is called LSMS, they work perfectly.
(0004071)
Ludovic (developer)
2017-03-17 11:34

Thank you for this bug report.
The problem have been found, and it's now corrected.

You can test this bugfix by downloading the latest packages on:

https://www.orfeo-toolbox.org/packages/nightly/latest/ [^]

The package will include the bugfix at the latest next week.

Let us know if the problem is completely fixed.
(0004123)
ghassem.alaee (reporter)
2017-04-18 16:43

Hello,

Unfortunately, the issue is still not solved.
The output file is again one polygon of the border of the image.
(0004124)
Ludovic (developer)
2017-04-18 17:25

My bad.
The bugfix was merge in the develop branch but not in release-5.10.1

The bugfix is now merged in release-5.10.1 and will be available tomorrow in the nightly/latest package.

commit: https://git.orfeo-toolbox.org/otb.git/commit/8a1702f93261611011ee2f6937ec08feb27ea9fc [^]

Thank you for the feedback.
(0004126)
ghassem.alaee (reporter)
2017-04-19 19:15

Thank you. It's working perfectly.
I have noticed that there are some other issues with watershed segmentation of the app (otbcli_Segmentation.bat), Should I mention them here or create a new bug report?
(0004127)
grizonnetm (administrator)
2017-04-20 09:04

Thank you again ghassem.alaee for your report. Regarding the watershed issue I think that it would be better to create a new bug report.

Cheers,
(0004128)
Ludovic (developer)
2017-04-20 10:15

Since the fix work I close this issue.

- Issue History
Date Modified Username Field Change
2017-03-14 16:13 ghassem.alaee New Issue
2017-03-14 16:13 ghassem.alaee File Added: shapefile.7z
2017-03-15 09:12 Ludovic Status new => acknowledged
2017-03-15 09:27 Ludovic Note Added: 0004069
2017-03-15 10:12 Ludovic Assigned To => Ludovic
2017-03-15 13:13 ghassem.alaee Note Added: 0004070
2017-03-15 14:43 Ludovic Status acknowledged => assigned
2017-03-17 11:34 Ludovic Note Added: 0004071
2017-03-17 11:34 Ludovic Status assigned => feedback
2017-04-18 16:43 ghassem.alaee Note Added: 0004123
2017-04-18 16:43 ghassem.alaee Status feedback => assigned
2017-04-18 17:25 Ludovic Note Added: 0004124
2017-04-18 17:25 Ludovic Status assigned => feedback
2017-04-19 19:15 ghassem.alaee Note Added: 0004126
2017-04-19 19:15 ghassem.alaee Status feedback => assigned
2017-04-20 09:04 grizonnetm Note Added: 0004127
2017-04-20 10:15 Ludovic Note Added: 0004128
2017-04-20 10:15 Ludovic Status assigned => closed
2017-04-20 10:15 Ludovic Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker